• Register Today It's free! This box and some ads will disappear once registered!

  • Holiday Special! - 2 for 1 Elite Explorer sale!

    Right now you can purchase an Elite Explorer membership for $20 and receive a two year membership!

    Click Here to start your membership and get rid of the ads!

Cannot update MFT 2.11


magicaltrevor70

New Member
Joined
September 15, 2016
Messages
11
Reaction score
0
Year, Model & Trim Level
2012 Explorer Limited
Same thing. I also tried on a different browser, and was prompted to sign in but then got the same error.
 


Join the Elite Explorers for $20 per year. Gets rid of the ads! New $5 per month "try out" option.

Explorer Forum has probably saved you that much already, and will continue to save you money as you learn how to diagnose fix problems yourself and learn which modifications work without having to experiment on your own. Elite Explorer members see no advertisements, no banner ads, no double underlined links, can add their own profile photo, upload photo attachments in all forums, and Media Gallery, create and save more private Conversations, and more. Join Today. Your support is greatly appreciated.




peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
28,598
Reaction score
1,770
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3




peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
28,598
Reaction score
1,770
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
Same thing. I also tried on a different browser, and was prompted to sign in but then got the same error.
Have you tried clicking on the Sync and Vehicle Features tab after you got the error and then looking at the options presented? I was able to do that despite getting the error msg.

Pete
 








peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
28,598
Reaction score
1,770
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
Hi Shaay. Here is a link that Rebecca provided to me when I had the same issue trying to report 3.8.. I believe it put some sort of retrieval file on the USB stick that when plugged into the vehicle pulled the existing version from it so that it could be reported to update my account. Unfortunately the lick no longer seems to work. Just thought there might be something else along that line now. https://owner.ford.com/tools/accoun...oftware-version.html?step=prepare-sa#/prepare

Peter
 








FordIVTteam

Official Ford Rep
Joined
July 13, 2011
Messages
1,690
Reaction score
1
City, State
Dearborn, MI
Year, Model & Trim Level
Ford Explorer
Hi Shaay. Here is a link that Rebecca provided to me when I had the same issue trying to report 3.8.. I believe it put some sort of retrieval file on the USB stick that when plugged into the vehicle pulled the existing version from it so that it could be reported to update my account. Unfortunately the lick no longer seems to work. Just thought there might be something else along that line now. https://owner.ford.com/tools/accoun...oftware-version.html?step=prepare-sa#/prepare

Peter

Hey Peter,

The link that Shaay provided is updated from the one Rebecca posted.

I tried using a US VPN and I still get the same error. Shaay, any thoughts?

magicaltravor70,

If you're still receiving an error, you may need to go back to the dealer and have them confirm.

Cara
 




Top